#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
int main()

{
    int a1,a2,i;
    char c3[50001],c4[50001],c1[50001];
    scanf("%s",&c4);
    char *c2 = c4 + 1;
    strncpy(c1, c4, 1);
    scanf("%d%d",&a1,&a2);
    if(abs(a1 - a2) > 1)
        printf("nemoguce");
    else if(a1 == a2)
    {
        for(i=0;i<a1;i++)
        {
            strcat(c3, c2);
            strcat(c3, c1);
        }
    }
    else if(a1 > a2)
        {
        for(i=0;i<a1-1;i++)
        {
            strcat(c3, c1);
            strcat(c3, c2);
        }
        strcat(c3, c1);
        }
    else
        {
        for(i=0;i<a2-1;i++)
        {
            strcat(c3, c2);
            strcat(c3, c1);
        }
        strcat(c3, c2);
        }
    printf("%s",c3);
    return 0;

}